<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">
<ui:composition>
    <f:facet name="header">
        <p:graphicImage name="images/accepted.png"
                        rendered="#{uiBean.uiVariable.variableStepIsValid}"/>
        <h:outputText value="#{titleForVariablesAccordionItem}"/>
    </f:facet>
    <f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.jsf.accordions.variablesAccordionItem"
                  var="variablesAccordionItem"/>
    <h:outputText
            rendered="#{not uiBean.uiVariable.variableStepIsValid}"
            value="#{variablesAccordionItem.PARAM_MSG_WARNING}"/>
    <p:dataList value="#{uiBean.uiVariable.variables.entrySet()}"
                var="variables" type="definition"
                rendered="#{not empty uiBean.uiVariable.variables}">
        <p:panel header="#{variables.key}">
            <p:dataList value="#{variables.value.entrySet()}"
                        var="variable" type="definition">
                <p:commandLink actionListener="#{uiBean.uiVariable.selectVariable(variable.value)}"
                               process="@this"
                               oncomplete="updateVariables()">
                    <h:outputText value="#{variable.value.variable.affichage} (#{variable.value.localizedName})"/>
                    <p:graphicImage value="#{resource['images/remove_selection.png']}" styleClass="buttonAction"/>
                </p:commandLink>
            </p:dataList>
        </p:panel>
    </p:dataList>
    <p:panel header="#{uiBean.uiVariable.textureDatatatype}" rendered="#{not empty uiBean.uiVariable.methods}">
        <p:dataList value="#{uiBean.uiVariable.methods.entrySet()}"
                    var="method2" type="definition"
                    rendered="#{not empty uiBean.uiVariable.methods}">
            <p:fieldset>
                <f:facet name="legend">
                    <p:commandLink value="#{method2.value.localizedName}" process="@this"
                                   action="#{uiBean.uiVariable.selectMethod(method2.value)}"
                                   oncomplete="updateMethods()">
                    </p:commandLink>
                    <p:graphicImage value="#{resource['images/remove_selection.png']}" styleClass="buttonAction"/>
                </f:facet>
                <p:dataList id="variable2List" value="#{method2.value.variables}" var="variable2">
                    <h:outputText value="#{variable2.variable.affichage} (#{variable2.localizedName})"/>
                </p:dataList>
            </p:fieldset>
        </p:dataList>
    </p:panel>

</ui:composition>
</html>